import { Expr, From, LimitStatement, OrderByStatement, SelectedColumn } from 'pgsql-ast-parser';
interface AqlContext {
    docRef: string;
    collectMap?: Record<string, String>;
}
export declare function indent(level: number, size?: number): string;
export declare function isNumeric(val: any): boolean;
export declare function capitalizeFirstLetter(string: string): string;
export declare function hasCalculatedColumns(columns: SelectedColumn[]): boolean;
export declare function mapFromStatment(fromAst: From[], ctx: AqlContext): string;
export declare function mapWhereStatement(whereAst: Expr, params: unknown[], ctx: AqlContext): string;
export declare function mapGroupByStatement(groupByAsts: Expr[], columns: SelectedColumn[], ctx: AqlContext): string;
export declare function mapAggrStatement(columns: SelectedColumn[], ctx: AqlContext): string;
export declare function mapOrderByStatement(orderByAsts: OrderByStatement[], columns: SelectedColumn[], ctx: AqlContext): string;
export declare function mapLimitStatement(limitAst: LimitStatement): string;
export declare function mapProjectStatement(columns: SelectedColumn[], ctx: AqlContext): string;
export declare function sql2aql(sql: string, params?: unknown[]): string;
export {};
//# sourceMappingURL=sql-utils.d.ts.map